import * as React from 'react';
import * as PropTypes from 'prop-types';
export interface SelectProps {
    prefixCls: string;
    options: Array<any>;
    selectedIndex: number;
    type: string;
    onSelect: Function;
    onMouseEnter: Function;
}
declare class Select extends React.Component<SelectProps, any> {
    static propTypes: {
        prefixCls: PropTypes.Requireable<string>;
        options: PropTypes.Requireable<any[]>;
        selectedIndex: PropTypes.Requireable<number>;
        type: PropTypes.Requireable<string>;
        onSelect: PropTypes.Requireable<(...args: any[]) => any>;
        onMouseEnter: PropTypes.Requireable<(...args: any[]) => any>;
    };
    state: {
        active: boolean;
    };
    private list;
    componentDidMount(): void;
    componentDidUpdate(prevProps: SelectProps): void;
    onSelect: (value: any) => void;
    getOptions(): JSX.Element[];
    scrollToSelected(duration: number): void;
    handleMouseEnter: (e: React.MouseEvent<any, MouseEvent>) => void;
    handleMouseLeave: () => void;
    saveList: (node: HTMLUListElement) => void;
    render(): JSX.Element | null;
}
export default Select;
